# eth\_sendRawTransaction

### Send Transaction RPC Method <a href="#send-transaction-rpc-method" id="send-transaction-rpc-method"></a>

<mark style="color:green;">`POST`</mark> <https://eth-rpc.kolibr.io/>\
Submits a signed transaction to the Kolibrio Order Flow service and rebroadcasts it to another source if required. Fully implements the standard Solana eth\_sendRawTransaction RPC method.<br>

**Additional URL Query Parameters**

<table><thead><tr><th width="236">Name</th><th>Description</th></tr></thead><tbody><tr><td><code>allow_reverts</code><br> (optional)</td><td>Controls whether transactions that might revert are submitted. <br><br>Default is <em>false</em>  to prevent transactions that may fail, avoiding potential extra gas costs<br><br>Set to <em>true</em> to allow pontetially reverted transactions to land onchain. </td></tr><tr><td><code>skip_preflight</code><br> (optional)</td><td>Controls whether Kolibrio simulates validation checks (nonce, balance, gas limit) before submission.<br>Default <strong>false</strong> — returns standard RPC errors on invalid transactions.<br>Set <strong>true</strong> to skip checks and always receive a transaction hash result.</td></tr><tr><td>validToBlock<br> (optional)</td><td>The block number as a string in hexadecimal format or number, indicating the maximum block until which the transaction will be rebroadcast and remain valid. By default, Kolibrio sets this to the subsequent 6 blocks. This parameter can be adjusted to extend or reduce the validity period as needed.</td></tr></tbody></table>

**API KEY**

<table><thead><tr><th width="237">Name</th><th>Description</th></tr></thead><tbody><tr><td><code>api_key</code> (optional)</td><td><p>Required for authentication, revenue distribution, and tracking. Including this key ensures that any generated revenue is attributed to the correct account. If not specified, the transaction will still be processed, but revenue will not be distributed.<br><br>Can be passed as an <code>x-api-key</code> header or as an <code>api_key</code> query parameter in the URL.<br></p><p>To obtain an <code>api key</code>, users must sign up in app.kolibrio.xyz</p></td></tr></tbody></table>

**Request Example**

{% tabs %}
{% tab title="curl" %}

```json
curl -X POST "https://eth-rpc.kolibr.io/?allow_reverts=false&api_key=YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
  "jsonrpc": "2.0",
  "method": "eth_sendRawTransaction",
  "params": ["0xYOUR_RAW_TRANSACTION"],
  "id": 1
}'

```

{% endtab %}
{% endtabs %}

**Response Example**

{% tabs %}
{% tab title="200" %}

```json
{
  "jsonrpc": "2.0",
  "id": 1,
  "result": "0xabc1234ef56789abcdef0123456789abcdef0123456789abcdef0123456789ab"
}

```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.kolibrio.xyz/kolibrio-orderflow-service/ethereum/api-quick-start/eth_sendrawtransaction.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
